Update Agent
curl --request PATCH \
--url https://api.getoutbox.ai/agent/{agent_id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"timezone": "<string>",
"first_message": "<string>",
"webhook_url": "<string>",
"branding_colour": "<string>",
"prompt": "<string>",
"line_edits": [
{}
]
}
'import requests
url = "https://api.getoutbox.ai/agent/{agent_id}/"
payload = {
"name": "<string>",
"timezone": "<string>",
"first_message": "<string>",
"webhook_url": "<string>",
"branding_colour": "<string>",
"prompt": "<string>",
"line_edits": [{}]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
timezone: '<string>',
first_message: '<string>',
webhook_url: '<string>',
branding_colour: '<string>',
prompt: '<string>',
line_edits: [{}]
})
};
fetch('https://api.getoutbox.ai/agent/{agent_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Agent Endpoints
Update Agent
Update an existing agent’s configuration
PATCH
/
agent
/
{agent_id}
/
Update Agent
Authorizations
Company API Key
Path Parameters
The ID of the agent to update
Body
application/json
Agent fields to update
- Chat Agent
- Voice Agent
Agent name
Timezone name (e.g. "America/New_York")
First message shown in supported chat surfaces
Webhook URL (if applicable)
"" or hex #RGB / #RRGGBB
Chat agent interrupt mode toggle
Available options:
true, false Full prompt replacement
Incremental prompt edits applied server-side
Response
Agent updated successfully
⌘I

